Skip to main content
POST
/
api
/
v1
/
volumes
/
{name}
/
{version}
/
trust
/
uploads
/
{uploadId}
/
finalize
Finalize a trust attachment upload for an unscoped release
curl --request POST \
  --url https://api.example.com/api/v1/volumes/{name}/{version}/trust/uploads/{uploadId}/finalize \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "idempotencyKey": "<string>"
}
'
{
  "uploadId": "<string>",
  "attachmentId": "<string>",
  "subject": {
    "purl": "<string>",
    "integrity": "<string>"
  },
  "artifactDigest": "<string>",
  "status": {
    "reason": "<string>"
  },
  "detailUrl": "<string>",
  "artifactSize": 1
}

Documentation Index

Fetch the complete documentation index at: https://agentvolumes.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

Preferred portable idempotency key for finalize. If this header and a body idempotencyKey are both present, they MUST match exactly.

Path Parameters

name
string
required
Maximum string length: 128
Pattern: ^(?!.*--)[a-z0-9](?:[a-z0-9-]*[a-z0-9])?$
version
string
required
Pattern: ^(0|[1-9]\d*)\.(0|[1-9]\d*)\.(0|[1-9]\d*)(?:-((?:0|[1-9]\d*|\d*[A-Za-z-][0-9A-Za-z-]*)(?:\.(?:0|[1-9]\d*|\d*[A-Za-z-][0-9A-Za-z-]*))*))?(?:\+([0-9A-Za-z-]+(?:\.[0-9A-Za-z-]+)*))?$
uploadId
string
required

Body

application/json
idempotencyKey
string

Response

Upload finalized and trust attachment made available through trust discovery.

uploadId
string
required
Minimum string length: 1
attachmentId
string
required
Minimum string length: 1
subject
object
required
artifactDigest
string
required
Pattern: ^sha256:[a-f0-9]{64}$
status
object
required
detailUrl
string<uri-reference>
required
artifactSize
integer
Required range: x >= 0